<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Package ch.javasoft.job
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Package ch.javasoft.job";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/package-use.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Package<br>ch.javasoft.job</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.job"><B>ch.javasoft.job</B></A></TD>
<TD>The <tt>job</tt> package contains classes for the execution of 
<A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>jobs</CODE></A>, something similar to Java's 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>runnable</CODE></A>, but adding support for return values and
exception handling; they can be processed in the current
thread, in its own thread or even in an own system process 
(see <A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.dist.impl"><B>ch.javasoft.metabolic.efm.dist.impl</B></A></TD>
<TD>The <tt>dist.impl</tt> package and subpackages contain classes implementing 
strategies for <i>distributed computation</i> of elementary modes, that is, 
for the computation on multiple hosts like on a cluster computer.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.dist.impl.adj"><B>ch.javasoft.metabolic.efm.dist.impl.adj</B></A></TD>
<TD>The <tt>impl.dist.adj</tt> package contains classes implementing adjacency 
enumeration strategies for <i>distributed computation</i>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.dist.impl.file"><B>ch.javasoft.metabolic.efm.dist.impl.file</B></A></TD>
<TD>The <tt>dist.impl.file</tt> package contains classes for file a based
implementation to distribute data structures needed for parallel computation.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.job"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> used by <A HREF="../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/AbstractJob.html#ch.javasoft.job"><B>AbstractJob</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>AbstractJob</code> is an abstract base implementation for most jobs 
 implementing both <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A> and <A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job"><CODE>Executable</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/AbstractJobProcessor.html#ch.javasoft.job"><B>AbstractJobProcessor</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An abstract implementation of <A HREF="../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><CODE>JobProcessor</CODE></A>, mainly implementing 
 <A HREF="../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job"><CODE>JobTerminationHandler</CODE></A> support.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExecException.html#ch.javasoft.job"><B>ExecException</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>ExecException</code> is the superclass for all non-user-defined
 exceptions being thrown while executing a <A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExecJob.html#ch.javasoft.job"><B>ExecJob</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An <code>ExecJob</code> represents a command line executable, such as those
 being passed to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A> and related methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExecJobMonitor.html#ch.javasoft.job"><B>ExecJobMonitor</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ExecJobMonitor</code> adds some functions specific for 
 <A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>s to the normal <A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><CODE>JobMonitor</CODE></A> functions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExecJobProcessor.html#ch.javasoft.job"><B>ExecJobProcessor</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ExecJobProcessor</code> is specifically designed to execute
 <A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>s.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/Executable.html#ch.javasoft.job"><B>Executable</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>Executable</code> is like a <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A>, but the execution is
 not necessarily performed synchronous.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExitValueException.html#ch.javasoft.job"><B>ExitValueException</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An exception which is thrown if the exit value was non 0 when executing a
 <A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/Job.html#ch.javasoft.job"><B>Job</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>Job</code> is a generalization of <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>Runnable</CODE></A>, with return
 value and exception.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/JobMonitor.html#ch.javasoft.job"><B>JobMonitor</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>JobMonitor</code> allows monitoring of a <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A> currently 
 being executed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/JobProcessor.html#ch.javasoft.job"><B>JobProcessor</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>JobProcessor</code> is a generic interface which is implemented
 by different processors, which process jobs in different manners, e.g.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/JobResult.html#ch.javasoft.job"><B>JobResult</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>JobResult</code> gives access to the result of an 
 <A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job"><CODE>Executable</CODE></A>, either to the return value for normal termination, or to
 the exception if any has occurred.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/JobTerminationHandler.html#ch.javasoft.job"><B>JobTerminationHandler</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>JobTerminationHandler</code> can be registered with a 
 <A HREF="../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><CODE>JobProcessor</CODE></A> and is notified when jobs terminate, regularly or
 exceptional.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/StdErrNonEmptyException.html#ch.javasoft.job"><B>StdErrNonEmptyException</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An exception which is thrown by <A HREF="../../../ch/javasoft/job/ExecJob.html#execWaitForStdOutString()"><CODE>ExecJob.execWaitForStdOutString()</CODE></A> or
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForStdOutString()"><CODE>ExecJobMonitor.waitForStdOutString()</CODE></A> respectively if the process
 was writing to the error stream.<br/>
 Both standard out and standard error output are available, either as
 String or with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/BufferedReader.html" title="class or interface in java.io"><CODE>BufferedReader</CODE></A>s allowing linewise accessing the
 output.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.dist.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExecJob.html#ch.javasoft.metabolic.efm.dist.impl"><B>ExecJob</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An <code>ExecJob</code> represents a command line executable, such as those
 being passed to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A> and related methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/Executable.html#ch.javasoft.metabolic.efm.dist.impl"><B>Executable</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>Executable</code> is like a <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A>, but the execution is
 not necessarily performed synchronous.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/JobMonitor.html#ch.javasoft.metabolic.efm.dist.impl"><B>JobMonitor</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>JobMonitor</code> allows monitoring of a <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A> currently 
 being executed.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.dist.impl.adj"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/dist/impl/adj/package-summary.html">ch.javasoft.metabolic.efm.dist.impl.adj</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/JobTerminationHandler.html#ch.javasoft.metabolic.efm.dist.impl.adj"><B>JobTerminationHandler</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>JobTerminationHandler</code> can be registered with a 
 <A HREF="../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><CODE>JobProcessor</CODE></A> and is notified when jobs terminate, regularly or
 exceptional.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.dist.impl.file"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Classes in <A HREF="../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> used by <A HREF="../../../ch/javasoft/metabolic/efm/dist/impl/file/package-summary.html">ch.javasoft.metabolic.efm.dist.impl.file</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/ExecJob.html#ch.javasoft.metabolic.efm.dist.impl.file"><B>ExecJob</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An <code>ExecJob</code> represents a command line executable, such as those
 being passed to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A> and related methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../ch/javasoft/job/class-use/Executable.html#ch.javasoft.metabolic.efm.dist.impl.file"><B>Executable</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>Executable</code> is like a <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A>, but the execution is
 not necessarily performed synchronous.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/package-use.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
